package draft_test

import (
	"testing"

	"git.fromouter.space/mcg/draft"
)

// Tests PacksFromSet
func TestSetPackProvider(t *testing.T) {
	testProvider := draft.PacksFromSet(3, testSet)

	for i, pack := range testProvider() {
		t.Logf("Test pack #%d contains: %s\n", i, pack)
		if len(pack) < PACKSIZE {
			t.Fatalf("Expected %d cards in pack #%d but got %d\n", PACKSIZE, i, len(pack))
		}
	}
}
