package mlp

import "git.fromouter.space/mcg/draft"

// Royal rares for each set

var royalRares = map[SetID][]draft.Card{
	SetEquestrialOdysseys: {
		draft.Card{ID: "eo207/rr1"}, // Discord, Wrathful
		draft.Card{ID: "eo208/rr2"}, // Pinkie Pie, Remix Master
	},
	SetHighMagic: {
		draft.Card{ID: "hm149/rr1"}, // Trixie, Highest Level Unicorn
		draft.Card{ID: "hm147/rr2"}, // Fluttershy, Saddle Rager
		draft.Card{ID: "hm145/rr3"}, // Rarity, Radiance
	},
	SetMarksInTime: {
		draft.Card{ID: "mt139/rr1"}, // Rainbow Dash, One Winged Warrior
		draft.Card{ID: "mt141/rr2"}, // Princess Twilight Sparkle, Time Patrol
	},
	SetDefendersOfEquestria: {
		draft.Card{ID: "de135/rr1"}, // Applejack, Captain of the Seven Seas
	},
	SetSeaquestriaBeyond: {
		draft.Card{ID: "sb135/rr1"}, // Tempest Shadow, Stormcaller
	},
	SetFriendsForever: {
		draft.Card{ID: "ff136/rr1"}, // Mistmane, Pillar of Beauty
	},
}
