package testdata

// SetFriendForever is an excerpt from Friend Forever's JSON set data
const SetFriendForever = `{
    "Name": "Friends Forever",
    "Cards": [
		{
            "ID": "ff1",
            "Name": "Gallus",
            "Subname": "Full of Surprises",
            "Element": [
                "Loyalty"
            ],
            "Keywords": [
                "Home Limit 3"
            ],
            "Traits": [
                "Griffon"
            ],
            "Power": 1,
            "Type": "Mane Character",
            "Text": "When you confront this card's Problem, turn this card over.",
            "Rarity": "U"
        },
        {
            "ID": "ff3",
            "Name": "Ocellus",
            "Subname": "Knowledge is Power",
            "Element": [
                "Generosity"
            ],
            "Keywords": [
                "Home Limit 3"
            ],
            "Traits": [
                "Changeling"
            ],
            "Power": 1,
            "Type": "Mane Character",
            "Text": "When you confront this card's Problem, turn this card over.",
            "Rarity": "U"
        },
        {
            "ID": "ff4",
            "Name": "Chipcutter",
            "Subname": "Sculptor",
            "Element": [
                "Loyalty"
            ],
            "Keywords": [
                "Swift"
            ],
            "Traits": [
                "Pegasus",
                "Foal"
            ],
            "Cost": 3,
            "Power": 2,
            "Type": "Friend",
            "Text": "",
            "Rarity": "C"
        },
        {
            "ID": "ff5",
            "Name": "Daybreaker",
            "Subname": "Blinding Light",
            "Element": [
                "Loyalty"
            ],
            "Keywords": [
                "Competitive 3"
            ],
            "Traits": [
                "Alicorn",
                "Royalty"
            ],
            "Requirement": {
                "Loyalty": 3
            },
            "Cost": 3,
            "Power": 3,
            "Type": "Friend",
            "Text": "When you win a faceoff involving this card, score a point.",
            "Rarity": "SR"
        },
        {
            "ID": "ff131",
            "Name": "Silverstream",
            "Subname": "Everything's New!",
            "Element": [
                "Laughter"
            ],
            "Keywords": [
                "Home Limit 3"
            ],
            "Traits": [
                "Ally",
                "Hippogriff"
            ],
            "Power": 1,
            "Type": "Mane Character",
            "Text": "Immediate: While this card is at a Problem with 2 or more other characters, turn this card over.",
            "Rarity": "UR"
        }
    ]
}`

// SetPremiere is an excerpt from Premiere's JSON set data
const SetPremiere = `{
    "Name": "Premiere",
    "Cards": [
        {
            "ID": "pr54",
            "Name": "Comet Tail",
            "Subname": "Hale Bopper",
            "Element": [
                "Magic"
            ],
            "Keywords": [],
            "Traits": [
                "Unicorn"
            ],
            "Cost": 1,
            "Power": 1,
            "Type": "Friend",
            "Text": "",
            "Rarity": "C"
        },
        {
            "ID": "pr55",
            "Name": "Mint Jewelup",
            "Subname": "A Cut Above",
            "Element": [
                "Magic"
            ],
            "Keywords": [],
            "Traits": [
                "Unicorn"
            ],
            "Requirement": {
                "Magic": 2
            },
            "Cost": 2,
            "Power": 1,
            "Type": "Friend",
            "Text": "Studious.",
            "Rarity": "C"
        },
        {
            "ID": "pr56",
            "Name": "Gyro",
            "Subname": "Poindexter",
            "Element": [
                "Magic"
            ],
            "Keywords": [],
            "Traits": [
                "Earth Pony"
            ],
            "Requirement": {
                "Magic": 3
            },
            "Cost": 1,
            "Power": 1,
            "Type": "Friend",
            "Text": "When you play this card, you may search your deck for an Event, reveal it, put it into your hand, and shuffle your deck.",
            "Rarity": "R"
        },
        {
            "ID": "pr77",
            "Name": "Rarity",
            "Subname": "Nest Weaver",
            "Element": [
                "Generosity"
            ],
            "Keywords": [
                "Inspired"
            ],
            "Traits": [
                "Unicorn"
            ],
            "Requirement": {
                "Generosity": 3
            },
            "Cost": 3,
            "Power": 2,
            "Type": "Friend",
            "Text": "When you play this card, you may search your discard pile for a card and put it into your hand.",
            "Rarity": "U"
        },
        {
            "ID": "pr211",
            "Name": "Fluttershy",
            "Subname": "Monster Tamer",
            "Element": [
                "Kindness"
            ],
            "Keywords": [],
            "Traits": [
                "Pegasus"
            ],
            "Requirement": {
                "Kindness": 4
            },
            "Cost": 4,
            "Power": 2,
            "Type": "Friend",
            "Text": "When you play this card to a Problem, you may banish a Troublemaker there. When this card leaves that Problem, put that banished Troublemaker into play at a Problem and uncover it.",
            "Rarity": "UR"
        }
    ]
}`
