package mlp

import "git.fromouter.space/mcg/draft"

// ToDraft converts multiple mlp.Card to draft.Card
func ToDraft(cards []Card) []draft.Card {
	out := make([]draft.Card, len(cards))
	for i, card := range cards {
		out[i] = card.ToDraftCard()
	}
	return out
}
